<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { ref } from 'vue';
const props = defineProps<{
    likes: any,
    likeSymbol: string,
    disabled?: boolean
}>();

const emits = defineEmits<{
    (e: 'click'):void
}>();

const handleClick = () => {
    emits('click');
}
</script>
<template>
    <div class="w-fit">
        <Tooltip :tooltip="$t('tooltips.like')">
            <button class="select-none w-fit rounded-md p-1 h-7" :class="!disabled?'hover:bg-gray-100 cursor-pointer':'pointer-events-none'" @click="handleClick()">
                <i :class="`ri-${likeSymbol}-line leading-5 text-[20px]`"></i>
                <span class="text-xs -ml-0.5" v-if="likes<=99 && likes>0">{{ likes }}</span>
                <span class="text-xs -ml-0.5" v-else-if="likes>99">99+</span>
            </button>
        </Tooltip>
    </div>
</template>